|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# Q3PopupMenu Class Reference

The Q3PopupMenu is a thin compatibility wrapper around QMenu. More...

    #include <Q3PopupMenu>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See the Porting Guide for more information.

Part of the Qt3Support module.

Inherits QMenu.

- List of all members, including inherited members

### Public Functions

- Q3PopupMenu ( QWidget * parent = 0, const char * name = 0 )
- int exec ()
- int exec ( const QPoint & pos, int indexAtPoint = 0 )

- 27 public functions inherited from QMenu
- 182 public functions inherited from QWidget
- 28 public functions inherited from QObject
- 11 public functions inherited from QPaintDevice

### Additional Inherited Members

- 3 properties inherited from QMenu
- 51 properties inherited from QWidget
- 1 property inherited from QObject
- 17 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 3 signals inherited from QMenu
- 1 signal inherited from QWidget
- 1 signal inherited from QObject
- 1 static public member inherited from QMenu
- 4 static public members inherited from QWidget
- 4 static public members inherited from QObject
- 37 protected functions inherited from QWidget
- 7 protected functions inherited from QObject

## Detailed Description

The Q3PopupMenu is a thin compatibility wrapper around QMenu.

Use QMenu in new applications.

## Member Function Documentation

### Q3PopupMenu::Q3PopupMenu ( QWidget * parent = 0, const char * name = 0 )

Constructs a menu with the given parent and name.

### int Q3PopupMenu::exec ()

Pops up the menu and returns the ID of the action that was selected.

See also QMenu::exec().

### int Q3PopupMenu::exec ( const QPoint & pos, int indexAtPoint = 0 )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Pops up the menu at coordinate pos and returns the ID of the action that was selected.

If indexAtPoint is specified, the menu will pop up with the item at index indexAtPoint under the mouse cursor.

See also QMenu::exec().